Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming.NamingContextPackage
Class NotFoundReason

    java.lang.Object
      |
      +--org.omg.CosNaming.NamingContextPackage.NotFoundReason

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class NotFoundReason
extends java.lang.Object
implements IDLEntity

This enum defines several constants to speficy an exception reason for the NotFound exception. Its values are : - missing_node which implies that in the asked path a node is invalid. - not_context which implies that the asked naming context is not a naming context ( so, it is an object ). - not_object which implies that the asked object is not an object ( but a naming context ).

See Also:
  Serialized Form

Field Summary
`static int` | `_missing_node` Enum member missing_node value
`static int` | `_not_context` Enum member not_context value
`static int` | `_not_object` Enum member not_object value
`static NotFoundReason` | `missing_node` Enum member missing_node
`static NotFoundReason` | `not_context` Enum member not_context
`static NotFoundReason` | `not_object` Enum member not_object

Method Summary
`static NotFoundReason` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _missing_node

    public static final int _missing_node

  Enum member missing_node value

### missing_node

    public static final NotFoundReason missing_node

  Enum member missing_node

### _not_context

    public static final int _not_context

  Enum member not_context value

### not_context

    public static final NotFoundReason not_context

  Enum member not_context

### _not_object

    public static final int _not_object

  Enum member not_object value

### not_object

    public static final NotFoundReason not_object

  Enum member not_object

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static NotFoundReason from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD